%define _disable_ld_no_undefined 1
%global _legacy_common_support 1

Name:		mod_gearman
Version:	1.3.4
Release:	%mkrel 13
Summary:	Nagios Event Broker Module
Group:		System/Servers
License:	BSD
URL:		http://labs.consol.de/lang/de/nagios/mod-gearman/
Source0:    http://labs.consol.de/wp-content/uploads/2010/09/mod_gearman-%{version}.tar.gz
Patch0:     mod_gearman-1.3.4-fhs.patch
Patch1:		mod_gearman-1.3.4-cflags.patch
BuildRequires: pkgconfig(gearmand)
BuildRequires: pkgconfig(ncurses)
BuildRequires: libtool-devel

%description
Mod_Gearman is an easy way of distributing active Nagios/Icinga checks across
your network and increasing Nagios scalability. Mod-Gearman can even help to
reduce the load on a single Nagios host, because its much smaller and more
efficient in executing checks.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --with-init-dir=%{_initrddir}
%make_build

%install
%make_install

%files
%{_bindir}/gearman_top
%{_bindir}/mod_gearman_worker
%{_bindir}/send_gearman
%{_bindir}/check_gearman
%{_bindir}/send_multi
%{_libdir}/mod_gearman
%{_datadir}/mod_gearman
%config(noreplace) %{_sysconfdir}/mod_gearman_worker.conf
%config(noreplace) %{_sysconfdir}/mod_gearman_neb.conf
%{_initrddir}/mod_gearman_worker
%{_initrddir}/gearmand
%{_localstatedir}/lib/mod_gearman
%{_localstatedir}/log/mod_gearman


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 1.3.4-13.mga9
+ Revision: 1841450
- Mageia 9 Mass Rebuild

* Sun Nov 01 2020 joequant <joequant> 1.3.4-12.mga8
+ Revision: 1641160
- fix  build

* Thu Feb 13 2020 umeabot <umeabot> 1.3.4-11.mga8
+ Revision: 1515175
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.3.4-10.mga7
+ Revision: 1299583
- Mageia 7 Mass Rebuild

* Sat Sep 16 2017 cjw <cjw> 1.3.4-9.mga7
+ Revision: 1154825
- patch1: do not ignore user CFLAGS in configure script

* Fri Feb 05 2016 umeabot <umeabot> 1.3.4-8.mga6
+ Revision: 939923
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-7.mga5
+ Revision: 746356
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4-6.mga5
+ Revision: 682556
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.4-5.mga4
+ Revision: 527923
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 fwang <fwang> 1.3.4-4.mga4
+ Revision: 442950
- rebuild for new gearman

* Sat Jan 12 2013 umeabot <umeabot> 1.3.4-3.mga3
+ Revision: 360181
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 fwang <fwang> 1.3.4-2.mga3
+ Revision: 278288
- rebuild for new gearman

* Tue Jun 26 2012 guillomovitch <guillomovitch> 1.3.4-1.mga3
+ Revision: 263958
- imported package mod_gearman

